timezone: Europe/Berlin

source: 'source'
layouts_dir: _layouts
keep_files: ['cv.pdf']

collections:
  pages:
    output: true
    permalink: /:collection/:title/
    order:
      - Links.md

defaults:
  -
    scope:
      path: "_pages/*.md"
    values:
      layout: "page"
      toc: true

plugins:
  - jekyll-toc

toc:
  max_level: 1

jekyll_image_optim:
  image_optim:
    allow_lossy: true
    advpng:
      level: 2
    pngout: false
    svgo: false
    oxipng: false

kramdown:
    syntax_highlighter: rouge
    syntax_highlighter_opts:
        guess_lang: true
        css_class: 'highlight'
        span:
          line_numbers: false
        block:
          line_numbers: true
          start_line: 1
    math_engine: katex
